New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Audiobook

Start speaker detection for a project

POST
/api/v1/audiobook/projects/{project_id}/assign-speakers

Path Parameters

project_id*Project Id

Request Body

application/json
  1. body
detect_emotions?Detect Emotions

Also pick a delivery emotion for each line

Defaultfalse
mode?Mode

'speakers' to attribute dialogue, 'emotions' to only mark narration emotion, 'both' to attribute then mark emotion in one run

Default"speakers"

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/audiobook/projects/string/assign-speakers' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null